%define upstream_name       PkgConfig
%define upstream_version 0.23026

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Pure-Perl Core-Only replacement for pkg-config
Url:        http://search.cpan.org/dist/%{upstream_name}
Source:     https://cpan.metacpan.org/authors/id/P/PL/PLICEASE/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:  perl-devel
BuildRequires:  perl(Module::Build)

BuildArch: noarch

%description
Pure-Perl Core-Only replacement for pkg-config

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor destdir=${RPM_BUILD_ROOT}/
make

%check
make test

%install
make install DESTDIR=${RPM_BUILD_ROOT}
find ${RPM_BUILD_ROOT} -type f -name perllocal.pod -o -name .packlist -o -name '*.bs' -a -size 0 | xargs rm -f
find ${RPM_BUILD_ROOT} -type d -depth | xargs rmdir --ignore-fail-on-non-empty

%files
%doc README MYMETA.yml MYMETA.json
%{perl_vendorlib}/PkgConfig.pm
%{_bindir}/p*
%{_mandir}/man1/*
%{_mandir}/man3/*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.230.260-2.mga8
+ Revision: 1520306
- Mageia 8 Mass Rebuild

* Mon Nov 19 2018 bcornec <bcornec> 0.230.260-1.mga7
+ Revision: 1331490
- Import PkgConfig for mon contribs
- Created package structure for perl-PkgConfig.

